<?php

class ImportacionController extends AdminController {
	
	public function noboletinAction(){
		
		$barra = AppHerramienta::getBarraDirectorio();
		// Configuracion
		$file_csv = 'rebotes.csv';
		$campos = array('numero', 'nombre', 'email');
		$operacion = 'no_boletin';
		$path = APPLICATION_PATH.$barra.'..'.$barra.'ficheros'.$barra.$file_csv;
		echo $path;

		
		// Ejecución
		echo 'Leyendo el fichero:'.$file_csv;
		$registros = array();
		$fila = 1;
		if (($gestor = fopen($path, "r")) !== FALSE) {
			while (($datos = fgetcsv($gestor, 1000, ";")) !== FALSE) {
				$numero = count($datos);
				//echo "<p> $numero de campos en la línea $fila: <br /></p>\n";
				$fila++;
				$act = array();
				for ($c=0; $c < $numero; $c++) {
					$act[$campos[$c]] = $datos[$c];
					//echo $datos[$c] . "<br />\n";
				}
				$registros[] = $act;
			}
			fclose($gestor);
		}
		//print_r($registros);
		//die('ddd');
		$i=0;
		while($i<count($registros)){
			$j=0;
			$enEjecucion = array();
			while ($j<10 && $i<count($registros)){
				$enEjecucion[] ="'".$registros[$i]['numero']."'";
				$j++;
				$i++;
			}
			$ids = implode(',', $enEjecucion);
			//echo $ids;
			echo '<br>';
			Importacion::noboletin($ids);
		}
		die();
		
	}
	
}